Page MenuHomePhabricator

cext: add support for revlogv2
ClosedPublic

Authored by Alphare on Jan 20 2021, 3:45 PM.

Details

Summary

This enables the C code to retrieve/create entries in the revlog v2 format.
This is mainly a matter of taking into account the additional slots for
sidedata, etc.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Jan 20 2021, 3:45 PM
baymax updated this revision to Diff 25606.Feb 12 2021, 7:46 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25618.Feb 12 2021, 6:59 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25667.Feb 19 2021, 6:13 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25967.Feb 25 2021, 11:45 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 26003.Mar 1 2021, 12:11 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

marmoute requested changes to this revision.Mar 2 2021, 11:35 AM
marmoute added a subscriber: marmoute.

Can you elaborate a bit more about the change in the commit message. From what I gather from the diff, this is mostly about dealing with different entry size. However it would be nice to a a clearer statement to make sure reviewer have all the pieces.

This revision now requires changes to proceed.Mar 2 2021, 11:35 AM
Alphare edited the summary of this revision. (Show Details)Mar 4 2021, 3:32 AM
Alphare updated this revision to Diff 26048.
marmoute accepted this revision.Mar 9 2021, 11:08 AM
baymax updated this revision to Diff 26219.Mar 10 2021, 2:10 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

marmoute accepted this revision.Mar 11 2021, 1:05 PM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.